<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script type="module" src="/JAVASCRIPT/productos.js"></script>
    <link rel="stylesheet" href="/CSS/productosConfig.css">

    <title>Agregar Productos</title>
</head>
<body>
    <h1>Agregar Productos</h1>
  
  <form id="formularioProductos">
    <label for="txtCodigo">CODIGO PRODUCTO:</label>
    <input type="text" id="txtCodigo" name="txtCodigo">
    
    <label for="txtNombre">Nombre PRODUCTO:</label>
    <input type="text" id="txtNombre" name="txtNombre">
    
    <label for="txtPrecio">Precio Producto:</label>
    <input type="text" id="txtPrecio" name="txtPrecio">
    
    <label for="txtCantidad">Cantidad Producto:</label>
    <input type="text" id="txtCantidad" name="txtCantidad">
    <input class="subirArchivo" type="file" id="imageInput">
    <button id="uploadButton">Subir Imagen</button>
    <div id="progress"></div>


    
    <p id="mensaje" style="text-align: center; color: white;"></p>

    <button type="button" id="btnAgregar">Agregar</button>
    <button type="button" id="btnBuscar">Buscar</button>
    <button type="button" id="btnActualizar">Actualizar</button>
    <button type="button" id="btnBorrar">Borrar</button>
    <button type="reset">Limpiar formulario</button>
  </form>

  <table id="tablaProductos">
    <thead>
      <tr>
        <th>Codigo</th>
        <th>Nombre</th>
        <th>Precio</th>
        <th>Cantidad</th>
        <th>Imagen</th>
      </tr>
    </thead>
    <tbody>
      
    </tbody>

  </table>

  <div class="volver-inicio">
    <a href="/index.html" class="btn-volver">Volver a Inicio</a>
  </div>
  <!-- Libreria de Bootstrap -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"
  integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"
  integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL"
  crossorigin="anonymous"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">

</body>
</html>